unit uMessageLogItem;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, 
  Dialogs, ExtCtrls, StdCtrls;

type
  TfraMessageLogItem = class(TFrame)
    imgExpandContract: TImage;
    Bevel1: TBevel;
    lblMessageHeader: TLabel;
    mmoMessage: TMemo;
    imgExpand: TImage;
    imgContract: TImage;
    procedure imgExpandContractClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure ResizeMemo;
  end;

implementation

{$R *.dfm}

procedure TfraMessageLogItem.imgExpandContractClick(Sender: TObject);
begin
  mmoMessage.Visible := not mmoMessage.Visible;
  if mmoMessage.Visible then
    imgExpandContract.Picture.Assign(imgContract.Picture)
  else
    imgExpandContract.Picture.Assign(imgExpand.Picture);
end;

procedure TfraMessageLogItem.ResizeMemo;
begin
  mmoMessage.Height := mmoMessage.Lines.Count * (Abs(mmoMessage.Font.Height) + 4);
  imgExpandContractClick(nil);
end;

end.
